Get Google Ads Search Advanced Results by id

checked GET
Pricing

Your account will be charged only for posting a task. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.

Description of the fields for sending a request:

Field nameTypeDescription
idstring

task identifier
unique task identifier in our system in the UUID format
you will be able to use it within 30 days to request the results of the task at any time


‌‌
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

You can also get all available SERP features and possible extra elements by making a request to the following Sandbox URL:
https://sandbox.dataforseo.com/v3/serp/google/ads_search/task_get/advanced/00000000-0000-0000-0000-000000000000
The response will include all available items in the Google Ads Advertisers SERP Advanced endpoint with the fields containing dummy data.
You won’t be charged for using Sandbox endpoints.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        keywordstring

keyword received in a POST array
the keyword is returned with decoded %## (plus symbol '+' will be decoded to a space character)

        typestring

search engine type in a POST array

        se_domainstring

search engine domain in a POST array

        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        check_urlstring

direct URL to search engine results
in this case, equals null

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        spellobject

autocorrection of the search engine
if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection;
in this case, equals null

        refinement_chipsobject

search refinement chips

            typestring

type of element = 'refinement_chips'

            xpathstring

the XPath of the element

            itemsarray

items of the element

                typestring

type of element = 'refinement_chips_element'

                titlestring

title of the element

                urlstring

search URL with refinement parameters

                domainstring

domain in SERP

                optionsarray

further search refinement options

                    typestring

type of element= 'refinement_chips_option'

                    titlestring

title of the element

                    urlstring

search URL with refinement parameters

                    domainstring

domain in SERP

        item_typesarray

types of search results in SERP
contains types of search results (items) found in SERP.
possible item types:
ads_search

        se_results_countinteger

total number of results in SERP

        items_countinteger

the number of results returned in the items array

        itemsarray

elements of search results found in SERP

        ads_searchobject

element in the response

            typestring

type of element = 'ads_search'

            rank_groupinteger

group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank in SERP
absolute position among all the elements in SERP

            advertiser_idstring

unique identifier of the advertiser account

            creative_idstring

unique identifier of the advertisement

            titlestring

title of the element
contains the name of the advertiser

            urlstring

url of the advertisement
URL pointing to the advertisement on the Ads Transparency platform

            verifiedboolean

verified advertiser account
equals true if advertiser account is verified by Google Ads

            formatstring

format of the advertisement
possible values: text, image, video

            preview_imagearray

preview image of the advertisement

                urlstring

url to the image preview

                heightinteger

height of the preview image

                widthinteger

width of the preview image

            preview_urlstring

url pointing to the ad preview

            first_shownstring

date and time when the ad was shown for the first time
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”

            last_shownstring

date and time when the ad was shown the last time
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="02261816-2027-0066-0000-c27d02864073" 
curl --location --request GET "https://api.dataforseo.com/v3/serp/google/ads_search/task_get/advanced/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// GET /v3/serp/google/ads_search/tasks_ready
	// in addition to 'google' and 'ads_search' you can also set other search engine and type parameters
	// the full list of possible parameters is available in documentation
	$tasks_ready = $client->get('/v3/serp/google/ads_search/tasks_ready');
	// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
	if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
		foreach ($tasks_ready['tasks'] as $task) {
			if (isset($task['result'])) {
				foreach ($task['result'] as $task_ready) {
					// #2 - using this method you can get results of each completed task
					// GET /v3/serp/google/ads_search/task_get/advanced/$id
					if (isset($task_ready['endpoint_advanced'])) {
						$result[] = $client->get($task_ready['endpoint_advanced']);
					}
					// #3 - another way to get the task results by id
					// GET /v3/serp/google/ads_search/task_get/advanced/$id
					/*
					if (isset($task_ready['id'])) {
						$result[] = $client->get('/v3/serp/google/ads_search/task_get/advanced/' . $task_ready['id']);
					}
					*/
				}
			}
		}
	}
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const task_id = '02231256-2604-0066-2000-57133b8fc54e';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/serp/google/ads_search/task_get/advanced/' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# GET /v3/serp/google/ads_search/tasks_ready
# in addition to 'google' and 'ads_search' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.get("/v3/serp/google/ads_search/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response['status_code'] == 20000:
    results = []
    for task in response['tasks']:
        if (task['result'] and (len(task['result']) > 0)):
            for resultTaskInfo in task['result']:
                # 2 - using this method you can get results of each completed task
                # GET /v3/serp/google/ads_search/advanced/$id
                if(resultTaskInfo['endpoint_advanced']):
                    results.append(client.get(resultTaskInfo['endpoint_advanced']))                
                '''
                # 3 - another way to get the task results by id
                # GET /v3/serp/google/ads_search/task_get/advanced/$id                
                if(resultTaskInfo['id']):
                    results.append(client.get("/v3/serp/google/ads_search/task_get/advanced/" + resultTaskInfo['id']))
                '''
    print(results)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_task_get()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // #1 - using this method you can get a list of completed tasks
            // GET /v3/serp/google/ads_search/tasks_ready
            // in addition to 'google' and 'ads_search' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/serp/google/ads_search/tasks_ready");
            var tasksInfo = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            var tasksResponses = new List<object>();
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (tasksInfo.status_code == 20000)
            {
                if (tasksInfo.tasks != null)
                {
                    foreach (var tasks in tasksInfo.tasks)
                    {
                        if (tasks.result != null)
                        {
                            foreach (var task in tasks.result)
                            {
                                if (task.endpoint_advanced != null)
                                {
                                    // #2 - using this method you can get results of each completed task
                                    // GET /v3/serp/google/ads_search/task_get/advanced/$id
                                    var taskGetResponse = await httpClient.GetAsync((string)task.endpoint_advanced);
                                    var taskResultObj = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    // #3 - another way to get the task results by id
                                    // GET /v3/serp/google/ads_search/task_get/advanced/$id
                                    /*
                                    var tasksGetResponse = await httpClient.GetAsync("/v3/serp/google/ads_search/task_get/advanced/" + (string)task.id);
                                    var tasksResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
                                    if (tasksResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    */
                                }
                            }
                        }
                    }
                }
                if (tasksResponses.Count > 0)
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
                else
                    Console.WriteLine("No completed tasks");
            }
            else
                Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20241101",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0338 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "11181824-1535-0066-0000-51db83abe42b",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0212 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "ads_search",
        "task_get",
        "advanced",
        "11181824-1535-0066-0000-51db83abe42b"
      ],
      "data": {
        "api": "serp",
        "function": "task_get",
        "se": "google",
        "se_type": "ads_search",
        "location_code": 2840,
        "platform": "google_search",
        "advertiser_ids": [
          "AR13752565271262920705",
          "AR02439908557932462081"
        ],
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "ids:AR13752565271262920705,AR02439908557932462081",
          "type": "ads_search",
          "se_domain": "adstransparency.google.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": null,
          "datetime": "2024-11-18 16:24:44 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "ads_search"
          ],
          "se_results_count": 0,
          "items_count": 40,
          "items": [
            {
              "type": "ads_search",
              "rank_group": 1,
              "rank_absolute": 1,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR04854618748897722369",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR04854618748897722369?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/9230452398675631152",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 10:12:13 +00:00",
              "last_shown": "2024-11-18 15:21:39 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 2,
              "rank_absolute": 2,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR01816727013944197121",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR01816727013944197121?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/15773752025748000294",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-28 13:00:11 +00:00",
              "last_shown": "2024-11-18 13:56:51 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 3,
              "rank_absolute": 3,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR10722536040880406529",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR10722536040880406529?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/3366731893680246315",
                "height": 225,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-06-18 13:16:44 +00:00",
              "last_shown": "2024-11-18 13:14:53 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 4,
              "rank_absolute": 4,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR17249727445544730625",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR17249727445544730625?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/10347890168435160670",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-06-21 15:15:13 +00:00",
              "last_shown": "2024-11-18 08:14:56 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 5,
              "rank_absolute": 5,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR00625375447642800129",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR00625375447642800129?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/3248651356519787757",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 09:57:49 +00:00",
              "last_shown": "2024-11-18 06:30:49 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 6,
              "rank_absolute": 6,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR00784732753097654273",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR00784732753097654273?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/9542351460357964163",
                "height": 201,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 10:32:27 +00:00",
              "last_shown": "2024-11-18 05:31:47 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 7,
              "rank_absolute": 7,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR17473444801570406401",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR17473444801570406401?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/1641105414394893292",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-07-04 15:17:54 +00:00",
              "last_shown": "2024-11-17 21:21:47 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 8,
              "rank_absolute": 8,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR09896508379822555137",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR09896508379822555137?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/13134785928323047",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 11:27:59 +00:00",
              "last_shown": "2024-11-17 19:57:43 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 9,
              "rank_absolute": 9,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR10640889605936644097",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR10640889605936644097?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/2838207111400385113",
                "height": 199,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-05-30 14:17:57 +00:00",
              "last_shown": "2024-11-17 19:50:07 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 10,
              "rank_absolute": 10,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR13819929290680041473",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR13819929290680041473?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/18294340032311558783",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-07-08 14:17:23 +00:00",
              "last_shown": "2024-11-14 19:36:27 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 11,
              "rank_absolute": 11,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR01662930007510482945",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR01662930007510482945?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/18291553336063761605",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 10:01:58 +00:00",
              "last_shown": "2024-09-07 05:52:26 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 12,
              "rank_absolute": 12,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR06136059418896236545",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR06136059418896236545?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/11936678826542439633",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 11:18:26 +00:00",
              "last_shown": "2024-08-30 18:33:18 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 13,
              "rank_absolute": 13,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR02450351856812032001",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR02450351856812032001?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/8579142441311246542",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 10:01:28 +00:00",
              "last_shown": "2024-07-04 14:37:49 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 14,
              "rank_absolute": 14,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR12923292745233072129",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR12923292745233072129?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/9738062490339973503",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 10:10:40 +00:00",
              "last_shown": "2024-07-04 14:20:59 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 15,
              "rank_absolute": 15,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR11880550002310774785",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR11880550002310774785?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/13723642643977787310",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 11:35:20 +00:00",
              "last_shown": "2024-06-24 08:58:01 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 16,
              "rank_absolute": 16,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR17973212281374244865",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR17973212281374244865?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/6250038801007163617",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-04-04 18:42:05 +00:00",
              "last_shown": "2024-06-24 08:39:00 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 17,
              "rank_absolute": 17,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR14151434039319330817",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR14151434039319330817?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/9082499144313735411",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 14:07:31 +00:00",
              "last_shown": "2024-06-24 07:22:19 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 18,
              "rank_absolute": 18,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR15900095133111025665",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR15900095133111025665?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/6437789977339829894",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 13:38:17 +00:00",
              "last_shown": "2024-06-24 07:11:14 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 19,
              "rank_absolute": 19,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR02355585087052972033",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR02355585087052972033?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/7112124729626090906",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 17:48:44 +00:00",
              "last_shown": "2024-06-24 06:28:13 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 20,
              "rank_absolute": 20,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR03436863169908178945",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR03436863169908178945?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/4598141035463191995",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-04-04 19:00:42 +00:00",
              "last_shown": "2024-06-24 06:05:43 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 21,
              "rank_absolute": 21,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR13170483437561184257",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR13170483437561184257?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/18038096476812406907",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-10 17:13:34 +00:00",
              "last_shown": "2024-06-23 20:57:33 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 22,
              "rank_absolute": 22,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR08214837230976368641",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR08214837230976368641?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/9437093667243885247",
                "height": 153,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 09:58:08 +00:00",
              "last_shown": "2024-05-22 14:39:14 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 23,
              "rank_absolute": 23,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR03009556770549923841",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR03009556770549923841?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/11067731379200822780",
                "height": 159,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 11:04:08 +00:00",
              "last_shown": "2024-05-14 08:05:29 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 24,
              "rank_absolute": 24,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR00603931603646808065",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR00603931603646808065?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/9435649239286217035",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-03-06 21:20:29 +00:00",
              "last_shown": "2024-04-29 11:01:41 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 25,
              "rank_absolute": 25,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR17660292096742916097",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR17660292096742916097?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/2635953811027937633",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-02-13 15:00:14 +00:00",
              "last_shown": "2024-02-26 11:19:23 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 26,
              "rank_absolute": 26,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR14431668766913855489",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR14431668766913855489?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/5767963147921308829",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 12:56:34 +00:00",
              "last_shown": "2024-02-01 04:30:16 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 27,
              "rank_absolute": 27,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR02885896450120613889",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR02885896450120613889?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/12889792266930559148",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 18:16:57 +00:00",
              "last_shown": "2024-02-01 03:45:59 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 28,
              "rank_absolute": 28,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR03361548066514534401",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR03361548066514534401?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/14022418018314768801",
                "height": 201,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 14:34:49 +00:00",
              "last_shown": "2024-02-01 01:35:39 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 29,
              "rank_absolute": 29,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR09443229454231928833",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR09443229454231928833?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/2035117992027059392",
                "height": 167,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 13:30:43 +00:00",
              "last_shown": "2024-02-01 01:34:53 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 30,
              "rank_absolute": 30,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR11379696067579740161",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR11379696067579740161?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/15201071374634223536",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 16:07:30 +00:00",
              "last_shown": "2024-01-31 22:08:01 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 31,
              "rank_absolute": 31,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR00486486925528530945",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR00486486925528530945?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/18213825750517826747",
                "height": 201,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 16:53:37 +00:00",
              "last_shown": "2024-01-30 21:12:51 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 32,
              "rank_absolute": 32,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR03708751985772593153",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR03708751985772593153?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/680345420944751028",
                "height": 167,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 10:38:24 +00:00",
              "last_shown": "2023-12-01 04:44:35 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 33,
              "rank_absolute": 33,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR14695176074359209985",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR14695176074359209985?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/9571369620781229439",
                "height": 167,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 10:21:12 +00:00",
              "last_shown": "2023-12-01 04:43:19 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 34,
              "rank_absolute": 34,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR12580651112035516417",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR12580651112035516417?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/11111132129125019366",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 13:21:47 +00:00",
              "last_shown": "2023-12-01 04:40:30 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 35,
              "rank_absolute": 35,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR16759933017241157633",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR16759933017241157633?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/18043538095280106859",
                "height": 167,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 12:11:18 +00:00",
              "last_shown": "2023-12-01 04:36:17 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 36,
              "rank_absolute": 36,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR01039114526349328385",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR01039114526349328385?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/3758849154631855690",
                "height": 167,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 14:15:45 +00:00",
              "last_shown": "2023-12-01 04:36:16 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 37,
              "rank_absolute": 37,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR13805292248293703681",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR13805292248293703681?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/7032518509234018487",
                "height": 167,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-10-16 13:40:35 +00:00",
              "last_shown": "2023-12-01 04:32:17 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 38,
              "rank_absolute": 38,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR11341657913061015553",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR11341657913061015553?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/10138134162352113214",
                "height": 167,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 10:17:58 +00:00",
              "last_shown": "2023-12-01 04:25:57 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 39,
              "rank_absolute": 39,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR15048560073599090689",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR15048560073599090689?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/11678508156154211548",
                "height": 167,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 12:16:52 +00:00",
              "last_shown": "2023-12-01 04:21:35 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 40,
              "rank_absolute": 40,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR14184104378071252993",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR14184104378071252993?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/10796589582432210327",
                "height": 167,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 11:33:14 +00:00",
              "last_shown": "2023-12-01 04:21:14 +00:00"
            }
          ]
        }
      ]
    }
  ]
}